#ifndef __JPEG_H
#define __JPEG_H

#include "_simplescreen.h"

typedef struct _simplejpeg {
    int x;
    int y;
    int w;
    int h;
    unsigned short *bufp;
} _simplejpeg;

extern int jpeg_create(char *filename, _simplejpeg *jpegp);
extern int jpeg_show(_simplejpeg *jpegp, _simplescreen *scrp, int x, int y);
extern int jpeg_delete(_simplejpeg *jpegp);

#endif // __JPEG_H
